Index: /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("MinAverageMaxValueAnalyzer", "An operator which analyzes the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableClass("C9FF822A-648E-405E-A6E2-2D2B211EF918")]
   public sealed class MinAverageMaxValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("MinAverageMaxValueCalculator", "An operator which calculates the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableClass("05591453-02E6-43C5-AA65-DD4574FFFACE")]
   public sealed class MinAverageMaxValueCalculator : SingleSuccessorOperator {
     public ScopeTreeLookupParameter<DoubleValue> ValueParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SingleValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and parents).")]
-  [StorableClass]
+  [StorableClass("4C646428-6085-4CD5-B52D-1F4B8097F67B")]
   public sealed class SingleValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and children).")]
-  [StorableClass]
+  [StorableClass("76E644F3-038E-4B79-9B4D-17F5B0B12C16")]
   public sealed class ValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/HiveTasks/HiveTask.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 
   [Item("Hive Task", "Represents a hive task.")]
-  [StorableClass]
+  [StorableClass("967DC1A1-7B0C-4D8B-AF9F-710B1FD676DF")]
   public class HiveTask : NamedItem, IItemTree<HiveTask>, IDisposable {
     protected static object locker = new object();
@@ -541,5 +541,5 @@
 
   [Item("Hive Task", "Represents a hive task.")]
-  [StorableClass]
+  [StorableClass("967DC1A1-7B0C-4D8B-AF9F-710B1FD676DF")]
   public class HiveTask<T> : HiveTask where T : ItemTask {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [StorableClass]
+  [StorableClass("ED082FB8-76ED-4A77-97B6-ACB7D566435F")]
   public class StateLogList : ItemList<StateLog> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/StateLogListList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [StorableClass]
+  [StorableClass("2EFC5B92-9976-42CE-812E-8155183D182A")]
   public class StateLogListList : ItemList<StateLogList> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [StorableClass]
+  [StorableClass("EBCB0A8C-B00C-43DD-A38E-E4E12168ABA2")]
   public class EngineTask : ItemTask {
     public override HiveTask CreateHiveTask() {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/ItemTask.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Clients.Hive {
   [Item("Item Task", "Represents a executable hive task which contains a HeuristicLab Item.")]
-  [StorableClass]
+  [StorableClass("1E1F34FE-F580-4968-8C3F-918A22FDC8DC")]
   public abstract class ItemTask : NamedItem, ITask {
     public virtual HiveTask CreateHiveTask() {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.Hive/3.3/Tasks/OptimizerTask.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.Hive.Jobs {
   [Item("Optimizer Task", "Represents Task which executes a IOptimizer object.")]
-  [StorableClass]
+  [StorableClass("52EFD5D9-936F-42C0-8ACE-548AC06A0855")]
   public class OptimizerTask : ItemTask {
     public override HiveTask CreateHiveTask() {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Algorithm", "A dummy algorithm which serves as a placeholder and cannot be executed.")]
-  [StorableClass]
+  [StorableClass("456A2D43-0C56-4473-A444-E488922D3790")]
   [NonDiscoverableType]
   public sealed class EmptyAlgorithm : HeuristicLab.Optimization.Algorithm {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyEvaluator", "A dummy evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("965FB595-446C-41B3-955B-C224A023CAC9")]
   [NonDiscoverableType]
   public sealed class EmptyEvaluator : Operator, IEvaluator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyMultiObjectiveEvaluator", "A dummy multi-objective evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("C8AF966D-3637-44E2-9A8D-892B1C0DBEB0")]
   [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveEvaluator : Operator, IMultiObjectiveEvaluator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Multi-Objective Problem", "A dummy multi-objective problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableClass("1709CE7C-F568-4119-B21D-DC84ACF2951A")]
   [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveProblem : MultiObjectiveHeuristicOptimizationProblem<EmptyMultiObjectiveEvaluator, EmptySolutionCreator> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Problem", "A dummy problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableClass("BB40CB42-245F-4C27-B5F3-79D8BD717795")]
   [NonDiscoverableType]
   public sealed class EmptyProblem : HeuristicOptimizationProblem<EmptyEvaluator, EmptySolutionCreator> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySingleObjectiveEvaluator", "A dummy single-objective evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("0510FF22-0984-4617-9F4B-149503DC2CE1")]
   [NonDiscoverableType]
   public sealed class EmptySingleObjectiveEvaluator : Operator, ISingleObjectiveEvaluator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Single-Objective Problem", "A dummy single-objective problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableClass("3B6FC72F-052E-4F45-8947-5FD111D2858A")]
   [NonDiscoverableType]
   public sealed class EmptySingleObjectiveProblem : SingleObjectiveHeuristicOptimizationProblem<EmptySingleObjectiveEvaluator, EmptySolutionCreator> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySolutionCreator", "A dummy solution creator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("709F5794-AF7D-4611-A2E1-01A44C0104D6")]
   [NonDiscoverableType]
   public sealed class EmptySolutionCreator : Operator, ISolutionCreator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("ItemWrapper", "A wrapper which wraps an IItem.")]
-  [StorableClass]
+  [StorableClass("1B7BC7C9-DA34-40B6-9F34-A1BCA88066E2")]
   [NonDiscoverableType]
   public class ItemWrapper<T> : IItem where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   [Item("OKB Problem (multi-objective)", "Represents a multi-objective problem which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 120)]
-  [StorableClass]
+  [StorableClass("9F1F2ED8-E3E9-428A-B864-3989EC50C3A5")]
   public sealed class MultiObjectiveOKBProblem : OKBProblem, IMultiObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("NamedItemWrapper", "A wrapper which wraps an INamedItem.")]
-  [StorableClass]
+  [StorableClass("F4827304-4B4F-4735-B8C5-AA07D2EBE838")]
   [NonDiscoverableType]
   public class NamedItemWrapper<T> : ItemWrapper<T>, INamedItem where T : class, INamedItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [Item("OKB Algorithm", "An algorithm which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 100)]
-  [StorableClass]
+  [StorableClass("5C022586-A7A9-43FC-886A-6556C0664CC6")]
   public sealed class OKBAlgorithm : Item, IAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Problem", "A base class for problems which are stored in the OKB.")]
-  [StorableClass]
+  [StorableClass("8E679CF3-2083-4708-917F-D83CD67FE546")]
   public abstract class OKBProblem : Item, IHeuristicOptimizationProblem {
     public virtual Type ProblemType {
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Run", "The parameters and results of an algorithm run which are stored in the OKB.")]
-  [StorableClass]
+  [StorableClass("D4BC7184-5F42-49A5-A43E-BD8D5295266F")]
   public sealed class OKBRun : NamedItemWrapper<IRun>, IRun, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   [Item("OKB Problem (single-objective)", "Represents a single-objective problem which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 110)]
-  [StorableClass]
+  [StorableClass("CB543CA3-0480-475F-AC99-0F6765F229BE")]
   public sealed class SingleObjectiveOKBProblem : OKBProblem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalDictionary.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("2044CAED-7D19-44AE-90E3-E10CBF9A3A20")]
   [Serializable]
   public class BidirectionalDictionary<TFirst, TSecond> : IEnumerable<KeyValuePair<TFirst, TSecond>> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalLookup.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/BidirectionalLookup.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("066A8A8B-784D-45CC-9063-F2FC8E9A4442")]
   [Serializable]
   public class BidirectionalLookup<TFirst, TSecond> {
@@ -189,5 +189,5 @@
     #endregion
 
-    [StorableClass]
+    [StorableClass("066A8A8B-784D-45CC-9063-F2FC8E9A4442")]
     private class StorableGrouping<TKey, TValue> : IGrouping<TKey, TValue> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableArray.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("48A5F6D3-2DDA-471E-8EA7-BD371ECAB857")]
   [Serializable]
   public class ObservableArray<T> : IObservableArray<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("BB3CF11B-5266-4163-8715-145393AB8E82")]
   [Serializable]
   public class ObservableCollection<T> : IObservableCollection<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableDictionary.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableDictionary.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("F089E97A-FC5D-4CF7-908A-5548EE401EB6")]
   [Serializable]
   public class ObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("18559393-D6A0-4309-8DBD-258F322D7A31")]
   [Serializable]
   public abstract class ObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableKeyedList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Collections {
   [Serializable]
-  [StorableClass]
+  [StorableClass("8F738253-AB19-4B2D-8F0F-41C8E1F79097")]
   public abstract class ObservableKeyedList<TKey, TItem> : ObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("B5C4776C-440F-4C27-84BA-39FDA5DF8107")]
   [Serializable]
   public class ObservableList<T> : IObservableList<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableSet.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ObservableSet.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("BDF3E3E2-AEBF-4507-8C6F-5681CA41FAED")]
   [Serializable]
   public class ObservableSet<T> : IObservableSet<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableArray.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("ACE26737-9130-4CAD-90DE-6F0044253FFD")]
   [Serializable]
   public class ReadOnlyObservableArray<T> : IObservableArray<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("5C3B9621-71C1-40F0-8E1C-31B9AD039E2B")]
   [Serializable]
   public class ReadOnlyObservableCollection<T> : IObservableCollection<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableDictionary.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("190E5220-C576-4C83-BFBC-1168227EDA38")]
   [Serializable]
   public class ReadOnlyObservableDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue> {
